QGIS Application - Bug report #5527

Attribute table: Search Query builder crashes when doing a search in shapefile with 124000 features

2012-04-30 08:59 AM - Filipe Dias

Status: Closed
Priority: High
Assignee:

Category: Vectors

Affected QGIS version:master
Operating System: Windows 7
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 15124

Description

| have a shapefile with 124000 features and | tried to select a subset with a simple SQL statement FIELD = X with "Search Query Builder"
(accessed from the attribute table) but QGIS crashed. Then | tried to use "Query" (accessed by right clicking on the shapefile") and it

worked OK.

This happens both on Master and on 1.7.4.

History

#1 - 2012-05-02 04:11 PM - Giovanni Manghi
- Status changed from Open to Feedback

Tested on a 200000+ records table, windows 7 and qgis master. No crash. Can you test another installation and/or dataset?

#2 - 2012-05-03 03:04 AM - Giovanni Manghi

just tested with your dataset and no crash.

#3 - 2012-05-03 03:10 AM - Filipe Dias

You may close this one. It no longer crashes after a clean installation. Thks

#4 - 2012-05-03 03:11 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed
